liborigin2: std::iendianfstream Class Reference

liborigin2 29/08/2011

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
std::iendianfstream Class Reference

`#include <endianfstream.hh>`

Inheritance diagram for std::iendianfstream:

## Public Member Functions
| iendianfstream (const char *_Filename, ios_base::openmode _Mode=ios_base::in)
iendianfstream & | operator>> (bool &value)
iendianfstream & | operator>> (char &value)
iendianfstream & | operator>> (unsigned char &value)
iendianfstream & | operator>> (short &value)
iendianfstream & | operator>> (unsigned short &value)
iendianfstream & | operator>> (int &value)
iendianfstream & | operator>> (unsigned int &value)
iendianfstream & | operator>> (long &value)
iendianfstream & | operator>> (unsigned long &value)
iendianfstream & | operator>> (float &value)
iendianfstream & | operator>> (double &value)
iendianfstream & | operator>> (long double &value)
iendianfstream & | operator>> (string &value)
iendianfstream & | operator>> (Origin::Color &value)

## Private Member Functions
void | swap_bytes (unsigned char *data, int size)

## Private Attributes
bool | bigEndian

## Constructor & Destructor Documentation

std::iendianfstream::iendianfstream | ( | const char * | _Filename,
|  | ios_base::openmode | _Mode = `ios_base::in`
| ) |  |
| inline

References bigEndian.

## Member Function Documentation

iendianfstream& std::iendianfstream::operator>> | ( | bool & | value | ) |
| inline

iendianfstream& std::iendianfstream::operator>> | ( | char & | value | ) |
| inline

iendianfstream& std::iendianfstream::operator>> | ( | unsigned char & | value | ) |
| inline

iendianfstream& std::iendianfstream::operator>> | ( | short & | value | ) |
| inline

References bigEndian, and swap_bytes().

iendianfstream& std::iendianfstream::operator>> | ( | unsigned short & | value | ) |
| inline

References bigEndian, and swap_bytes().

iendianfstream& std::iendianfstream::operator>> | ( | int & | value | ) |
| inline

References bigEndian, and swap_bytes().

iendianfstream& std::iendianfstream::operator>> | ( | unsigned int & | value | ) |
| inline

References bigEndian, and swap_bytes().

iendianfstream& std::iendianfstream::operator>> | ( | long & | value | ) |
| inline

References bigEndian, and swap_bytes().

iendianfstream& std::iendianfstream::operator>> | ( | unsigned long & | value | ) |
| inline

References bigEndian, and swap_bytes().

iendianfstream& std::iendianfstream::operator>> | ( | float & | value | ) |
| inline

References bigEndian, and swap_bytes().

iendianfstream& std::iendianfstream::operator>> | ( | double & | value | ) |
| inline

References bigEndian, and swap_bytes().

iendianfstream& std::iendianfstream::operator>> | ( | long double & | value | ) |
| inline

References bigEndian, and swap_bytes().

iendianfstream& std::iendianfstream::operator>> | ( | string & | value | ) |
| inline

iendianfstream& std::iendianfstream::operator>> | ( | Origin::Color & | value | ) |
| inline

References Origin::Color::Automatic, Origin::Color::column, Origin::Color::Custom, Origin::Color::custom, Origin::Color::Increment, Origin::Color::Indexing, Origin::Color::Mapping, Origin::Color::None, Origin::Color::Regular, Origin::Color::regular, Origin::Color::RGB, Origin::Color::starting, and Origin::Color::type.

void std::iendianfstream::swap_bytes | ( | unsigned char * | data,
|  | int | size
| ) |  |
| inlineprivate

Referenced by operator>>().

## Member Data Documentation

bool std::iendianfstream::bigEndian
| private

Referenced by iendianfstream(), and operator>>().

The documentation for this class was generated from the following file:

- /build/liborigin2/src/liborigin2/endianfstream.hh